require "rails_helper"

RSpec.describe Settings::MenuItemOptionsController, type: :routing do
  describe "routing" do

    it "routes to #index" do
      expect(:get => "/settings/menu_item_options").to route_to("settings/menu_item_options#index")
    end

    it "routes to #new" do
      expect(:get => "/settings/menu_item_options/new").to route_to("settings/menu_item_options#new")
    end

    it "routes to #show" do
      expect(:get => "/settings/menu_item_options/1").to route_to("settings/menu_item_options#show", :id => "1")
    end

    it "routes to #edit" do
      expect(:get => "/settings/menu_item_options/1/edit").to route_to("settings/menu_item_options#edit", :id => "1")
    end

    it "routes to #create" do
      expect(:post => "/settings/menu_item_options").to route_to("settings/menu_item_options#create")
    end

    it "routes to #update via PUT" do
      expect(:put => "/settings/menu_item_options/1").to route_to("settings/menu_item_options#update", :id => "1")
    end

    it "routes to #update via PATCH" do
      expect(:patch => "/settings/menu_item_options/1").to route_to("settings/menu_item_options#update", :id => "1")
    end

    it "routes to #destroy" do
      expect(:delete => "/settings/menu_item_options/1").to route_to("settings/menu_item_options#destroy", :id => "1")
    end

  end
end
